## golang-github-containers-buildah 1.23.1%2Bds1

=== debian/control ===
Source: golang-github-containers-buildah
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Dmitry Smirnov <onlyjob@debian.org>,
Build-Conflicts: golang-github-dnephin-cobra-dev
Build-Depends: debhelper-compat (= 12), bash-completion,
               dh-golang,
               golang-any,
    golang-ginkgo-dev,
    golang-github-appc-cni-dev (>= 0.7.0~~),
    golang-github-containers-common-dev (>> 0.44),
    golang-github-containers-image-dev (>= 5.16),
    golang-github-containers-ocicrypt-dev,
    golang-github-containers-storage-dev (>= 1.36),
    golang-github-coreos-bbolt-dev (>= 1.3.3~),
    golang-github-cyphar-filepath-securejoin-dev,
    golang-github-docker-docker-dev (>= 19.03.4~),
#       golang-github-docker-distribution-dev,
    golang-github-docker-go-units-dev,
    golang-github-fsouza-go-dockerclient-dev,
    golang-github-hashicorp-go-multierror-dev,
    golang-github-ishidawataru-sctp-dev,
    golang-github-konsorten-go-windows-terminal-sequences-dev,
    golang-github-mattn-go-shellwords-dev,
    golang-github-opencontainers-go-digest-dev,
    golang-github-opencontainers-image-spec-dev,
    golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~),
    golang-github-opencontainers-runtime-tools-dev,
    golang-github-opencontainers-selinux-dev,
    golang-github-opencontainers-specs-dev,
    golang-github-openshift-imagebuilder-dev (>= 1.2.1),
    golang-github-pkg-errors-dev,
    golang-github-seccomp-libseccomp-golang-dev,
    golang-github-sirupsen-logrus-dev,
    golang-github-spf13-cobra-dev (>= 1.2.1),
    golang-github-spf13-pflag-dev,
    golang-github-vbauerster-mpb-dev (>= 6),
    golang-gocapability-dev,
    golang-golang-x-crypto-dev,
    golang-golang-x-sys-dev,
    golang-gomega-dev,
    go-md2man,
    libapparmor-dev,
    libostree-dev,
    libseccomp-dev,
    libselinux1-dev,
Standards-Version: 4.6.0
Homepage: https://github.com/containers/buildah
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah.git
XS-Go-Import-Path: github.com/containers/buildah
Testsuite: autopkgtest-pkg-go

Package: buildah
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: uidmap,
         golang-github-containers-common (>> 0.44),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: fuse-overlayfs (<< 0.7.1)
Recommends: ${misc:Recommends},
    fuse-overlayfs (>= 0.7.1~),
    crun | runc,
Suggests: containers-storage
Description: CLI tool to facilitate building OCI images
 The Buildah package provides a command line tool that can be used to
   - create a working container, either from scratch or using an image as a
     starting point
   - create an image, either from a working container or via the
     instructions in a Dockerfile
   - images can be built in either the OCI image format or the traditional
     upstream docker image format
   - mount a working container's root filesystem for manipulation
   - unmount a working container's root filesystem
   - use the updated contents of a container's root filesystem as a
     filesystem layer to create a new image
   - delete a working container or an image
   - rename a local container
 .
 This package contains the buildah command-line utility and provides an
 interface similar to the 'docker' command.

Package: golang-github-containers-buildah-dev
Architecture: all
Depends: ${misc:Depends},
    golang-ginkgo-dev,
    golang-github-appc-cni-dev (>= 0.7.0~~),
    golang-github-containers-common-dev (>> 0.44),
    golang-github-containers-image-dev (>= 5.15),
    golang-github-containers-ocicrypt-dev,
    golang-github-containers-storage-dev (>= 1.34),
    golang-github-coreos-bbolt-dev (>= 1.3.3~),
    golang-github-cyphar-filepath-securejoin-dev,
    golang-github-docker-docker-dev (>= 19.03.4~),
#       golang-github-docker-distribution-dev,
    golang-github-docker-go-units-dev,
    golang-github-fsouza-go-dockerclient-dev,
    golang-github-hashicorp-go-multierror-dev,
    golang-github-ishidawataru-sctp-dev,
    golang-github-mattn-go-shellwords-dev,
    golang-github-opencontainers-go-digest-dev,
    golang-github-opencontainers-image-spec-dev,
    golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~),
    golang-github-opencontainers-runtime-tools-dev,
    golang-github-opencontainers-selinux-dev,
    golang-github-opencontainers-specs-dev,
    golang-github-openshift-imagebuilder-dev (>= 1.2.1),
    golang-github-pkg-errors-dev,
    golang-github-seccomp-libseccomp-golang-dev,
    golang-github-sirupsen-logrus-dev,
    golang-github-spf13-cobra-dev,
    golang-github-spf13-pflag-dev,
    golang-gocapability-dev,
    golang-golang-x-crypto-dev,
    golang-golang-x-sys-dev,
    golang-gomega-dev,
Description: tool to facilitate building OCI images
 The Buildah package provides a command line tool that can be used to
   - create a working container, either from scratch or using an image as a
     starting point
   - create an image, either from a working container or via the
     instructions in a Dockerfile
   - images can be built in either the OCI image format or the traditional
     upstream docker image format
   - mount a working container's root filesystem for manipulation
   - unmount a working container's root filesystem
   - use the updated contents of a container's root filesystem as a
     filesystem layer to create a new image
   - delete a working container or an image
   - rename a local container
 .
 This package contains golang sources that other package may require for
 building.

=== debian/rules ===
#!/usr/bin/make -f

# We want to ship only the library packages themselves in the go source, not
# the accompanying test scripts
export DH_GOLANG_EXCLUDES := tests/
export DH_GOLANG_EXCLUDES_ALL := 1

# remove this non-sense after ubuntu's docker.io ships the vendored
# libraries in the correct folders. This is to allow auto-syncing to ubuntu
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
override_dh_auto_configure:
	# force debhelper to symlink subdirs in docker, enables workarounds below
	mkdir -p _build/src/github.com/docker _build/src/github.com/seccomp
	dh_auto_configure
	# workaround some vendoring issues - in ubuntu all docker vendored libraries
	# are installed in the "vendor/" subdirectory
	test -d _build/src/github.com/docker/libnetwork || \
	  ln -s docker/vendor/github.com/docker/libnetwork \
	     _build/src/github.com/docker
	test -d _build/src/github.com/seccomp/libseccomp-golang || \
	  ln -s ../docker/docker/vendor/github.com/seccomp/libseccomp-golang \
	  _build/src/github.com/seccomp
endif

override_dh_auto_build: $(MANPAGES) $(MANPAGES5)
	dh_auto_build -- -tags "seccomp selinux apparmor containers_image_ostree"
	make -C docs docs GOMD2MAN=go-md2man
	make -C docs install PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_test:
	# TODO: Investigate how to get the tests to pass

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build

## golang-github-containers-buildah 1.23.1+ds1

=== docs/Makefile ===
PREFIX := /usr/local
DATADIR := ${PREFIX}/share
MANDIR := $(DATADIR)/man
GOMD2MAN ?= ../tests/tools/build/go-md2man

docs: $(patsubst %.md,%.1,$(wildcard *.md))

%.1: %.md
	$(GOMD2MAN) -in $^ -out $@

.PHONY: install
install:
	install -d ${DESTDIR}/${MANDIR}/man1
	install -m 0644 buildah*.1 ${DESTDIR}/${MANDIR}/man1
	install -m 0644 links/buildah*.1 ${DESTDIR}/${MANDIR}/man1

.PHONY: clean
clean:
	$(RM) buildah*.1

=== debian/changelog ===
golang-github-containers-buildah (1.23.1+ds1-3) unstable; urgency=medium

  * Fix FTBFS, thanks to Lucas Nussbaum for reporting (Closes: #1011869).

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 08 Jun 2022 18:26:11 -0400

golang-github-containers-buildah (1.23.1+ds1-2) unstable; urgency=medium

  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 26 Oct 2021 14:38:00 -0400

golang-github-containers-buildah (1.23.1+ds1-1) experimental; urgency=medium

  * New upstream release
  * refresh/drop patches
  * Fix watch file
  * Bump Standards version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 07 Oct 2021 08:30:11 -0400

golang-github-containers-buildah (1.22.3+ds1-2) unstable; urgency=medium

  * Drop unneeded dependency on golang-github-openshift-api-dev

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 04 Sep 2021 19:24:50 +0200

golang-github-containers-buildah (1.22.3+ds1-1) unstable; urgency=medium

  * New upstream release (Closes: #992139)
  * Add patch to manpages to fix installation to correct sections

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 29 Aug 2021 21:19:30 +0200

=== debian/watch ===
# https://salsa.debian.org/snippets/95
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg1,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/containers/buildah/releases \
  .*/archive/refs/tags/v?(\d[\d\.]+)\.tar\.gz

## golang-github-containers-buildah 1.27.0+ds1

=== debian/changelog ===
golang-github-containers-buildah (1.27.0+ds1-5) experimental; urgency=medium

  * also exclude running "copier" test from package build, breaks/timeouts
    on arm64, armel, armhf and powerpc64

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 19 Aug 2022 14:03:30 +0200

golang-github-containers-buildah (1.27.0+ds1-4) experimental; urgency=medium

  * also exclude running pkg/cli test from package build

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 19 Aug 2022 09:51:04 +0200

golang-github-containers-buildah (1.27.0+ds1-3) experimental; urgency=medium

  * don't run test pkg/completion at package build times

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 19 Aug 2022 08:59:36 +0200

golang-github-containers-buildah (1.27.0+ds1-2) experimental; urgency=medium

  * New upstream release
  * Run tests at build time

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 17 Aug 2022 12:03:08 +0200

golang-github-containers-buildah (1.26.1+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 16 May 2022 06:33:01 -0400

golang-github-containers-buildah (1.24.1+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 14 Feb 2022 18:15:39 -0500

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                golang-any,
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
-    golang-github-containers-common-dev (>> 0.44),
-    golang-github-containers-image-dev (>= 5.16),
+    golang-github-containers-common-dev (>> 0.49.1),
+    golang-github-containers-image-dev (>= 5.22),
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.36),
+    golang-github-containers-storage-dev (>= 1.42),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),
@@ -30,7 +30,7 @@
     golang-github-opencontainers-runtime-tools-dev,
     golang-github-opencontainers-selinux-dev,
     golang-github-opencontainers-specs-dev,
-    golang-github-openshift-imagebuilder-dev (>= 1.2.1),
+    golang-github-openshift-imagebuilder-dev (>= 1.2.3),
     golang-github-pkg-errors-dev,
     golang-github-seccomp-libseccomp-golang-dev,
     golang-github-sirupsen-logrus-dev,
@@ -57,7 +57,7 @@
 Architecture: any
 Built-Using: ${misc:Built-Using}
 Depends: uidmap,
-         golang-github-containers-common (>> 0.44),
+         golang-github-containers-common (>> 0.49.1),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: fuse-overlayfs (<< 0.7.1)
@@ -89,7 +89,7 @@
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
     golang-github-containers-common-dev (>> 0.44),
-    golang-github-containers-image-dev (>= 5.15),
+    golang-github-containers-image-dev (>= 5.21.1-3),
     golang-github-containers-ocicrypt-dev,
     golang-github-containers-storage-dev (>= 1.34),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),

=== debian/rules ===
--- 
+++ 
@@ -23,12 +23,12 @@
 endif
 
 override_dh_auto_build: $(MANPAGES) $(MANPAGES5)
-	dh_auto_build -- -tags "seccomp selinux apparmor containers_image_ostree"
+	dh_auto_build -- -tags "seccomp selinux apparmor"
 	make -C docs docs GOMD2MAN=go-md2man
 	make -C docs install PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp
 
 override_dh_auto_test:
-	# TODO: Investigate how to get the tests to pass
+	DH_GOLANG_EXCLUDES="cmd/buildah pkg/cli pkg/completion copier util conformance e2e" dh_auto_test
 
 %:
 	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build

## golang-github-containers-buildah 1.28.0+ds1

=== debian/changelog ===
golang-github-containers-buildah (1.28.0+ds1-3) unstable; urgency=medium

  * exclude "buildah/chroot" test, fixes autopkgtest failure

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 27 Nov 2022 11:42:54 -0500

golang-github-containers-buildah (1.28.0+ds1-2) unstable; urgency=medium

  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 24 Nov 2022 15:27:47 -0500

golang-github-containers-buildah (1.28.0+ds1-1) experimental; urgency=medium

  * New upstream release
    new upstream version fixes CVE-2022-27651, Closes: #1009882

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 12 Nov 2022 11:23:23 -0500

golang-github-containers-buildah (1.27.0+ds1-6) experimental; urgency=medium

  * Force building with golang-go, gccgo miscompiles at least on mips

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 24 Aug 2022 17:30:17 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Conflicts: golang-github-dnephin-cobra-dev
 Build-Depends: debhelper-compat (= 12), bash-completion,
                dh-golang,
-               golang-any,
+               golang-go,
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
-    golang-github-containers-common-dev (>> 0.49.1),
-    golang-github-containers-image-dev (>= 5.22),
+    golang-github-containers-common-dev (>> 0.50),
+    golang-github-containers-image-dev (>= 5.23),
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.42),
+    golang-github-containers-storage-dev (>= 1.43),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),
@@ -88,10 +88,10 @@
 Depends: ${misc:Depends},
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
-    golang-github-containers-common-dev (>> 0.44),
-    golang-github-containers-image-dev (>= 5.21.1-3),
+    golang-github-containers-common-dev (>> 0.50),
+    golang-github-containers-image-dev (>= 5.23),
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.34),
+    golang-github-containers-storage-dev (>= 1.43),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),

## golang-github-containers-buildah 1.28.2%2Bds1

=== debian/changelog ===
golang-github-containers-buildah (1.28.2+ds1-3+deb12u1) bookworm; urgency=medium

  * Backport 0005-Disable-TestDeviceFromPath.patch:
    fix FTBFS by skipping TestDeviceFromPath (closes: #1072147)

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 27 Jan 2025 18:43:31 +0000

golang-github-containers-buildah (1.28.2+ds1-3) unstable; urgency=medium

  * reupload

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 29 Apr 2023 15:57:39 -0400

golang-github-containers-buildah (1.28.2+ds1-2) unstable; urgency=medium

  [ Martin Dosch ]
  * d/watch: Fix watch file.

  [ Reinhard Tartler ]
  * Rebuild against golang-github-containers-storage-dev 1.43.0+ds1-8
    (Closes: #1034871)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 29 Apr 2023 10:32:04 -0400

golang-github-containers-buildah (1.28.2+ds1-1) unstable; urgency=medium

  * New upstream version
  * Bug fix: "Sticky bit isn't preserved when adding tarball", thanks
    to Arnaud Rebillout for reporting (Closes: #1027259).
  * Bump standards version

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 29 Apr 2023 10:31:38 -0400

## golang-github-containers-buildah 1.28.2+ds1

=== Makefile ===
export GOPROXY=https://proxy.golang.org

APPARMORTAG := $(shell hack/apparmor_tag.sh)
STORAGETAGS := $(shell ./btrfs_tag.sh) $(shell ./btrfs_installed_tag.sh) $(shell ./libdm_tag.sh) $(shell ./hack/libsubid_tag.sh)
SECURITYTAGS ?= seccomp $(APPARMORTAG)
TAGS ?= $(SECURITYTAGS) $(STORAGETAGS) $(shell ./hack/systemd_tag.sh)
BUILDTAGS += $(TAGS)
PREFIX := /usr/local
BINDIR := $(PREFIX)/bin
BASHINSTALLDIR = $(PREFIX)/share/bash-completion/completions
BUILDFLAGS := -tags "$(BUILDTAGS)"
BUILDAH := buildah

GO := go
GO_LDFLAGS := $(shell if $(GO) version|grep -q gccgo; then echo "-gccgoflags"; else echo "-ldflags"; fi)
GO_GCFLAGS := $(shell if $(GO) version|grep -q gccgo; then echo "-gccgoflags"; else echo "-gcflags"; fi)
# test for go module support
ifeq ($(shell $(GO) help mod >/dev/null 2>&1 && echo true), true)
export GO_BUILD=GO111MODULE=on $(GO) build -mod=vendor
export GO_TEST=GO111MODULE=on $(GO) test -mod=vendor
else
export GO_BUILD=$(GO) build
export GO_TEST=$(GO) test
endif
RACEFLAGS := $(shell $(GO_TEST) -race ./pkg/dummy > /dev/null 2>&1 && echo -race)

COMMIT_NO ?= $(shell git rev-parse HEAD 2> /dev/null || true)
GIT_COMMIT ?= $(if $(shell git status --porcelain --untracked-files=no),${COMMIT_NO}-dirty,${COMMIT_NO})
SOURCE_DATE_EPOCH ?= $(if $(shell date +%s),$(shell date +%s),$(error "date failed"))
STATIC_STORAGETAGS = "containers_image_openpgp exclude_graphdriver_devicemapper $(STORAGE_TAGS)"

# we get GNU make 3.x in MacOS build envs, which wants # to be escaped in
# strings, while the 4.x we have on Linux doesn't. this is the documented
# workaround
COMMENT := \#
CNI_COMMIT := $(shell sed -n 's;^$(COMMENT) github.com/containernetworking/cni \([^ \n]*\).*$$;\1;p' vendor/modules.txt)
RUNC_COMMIT := $(shell sed -n 's;^$(COMMENT) github.com/opencontainers/runc \([^ \n]*\).*$$;\1;p' vendor/modules.txt)
LIBSECCOMP_COMMIT := release-2.3

EXTRA_LDFLAGS ?=
BUILDAH_LDFLAGS := $(GO_LDFLAGS) '-X main.GitCommit=$(GIT_COMMIT) -X main.buildInfo=$(SOURCE_DATE_EPOCH) -X main.cniVersion=$(CNI_COMMIT) $(EXTRA_LDFLAGS)'
SOURCES=*.go imagebuildah/*.go bind/*.go chroot/*.go copier/*.go define/*.go docker/*.go internal/parse/*.go internal/source/*.go internal/util/*.go manifests/*.go pkg/chrootuser/*.go pkg/cli/*.go pkg/completion/*.go pkg/formats/*.go pkg/overlay/*.go pkg/parse/*.go pkg/rusage/*.go pkg/sshagent/*.go pkg/umask/*.go pkg/util/*.go util/*.go

LINTFLAGS ?=

ifeq ($(BUILDDEBUG), 1)
  override GOGCFLAGS += -N -l
endif

#   make all BUILDDEBUG=1
#     Note: Uses the -N -l go compiler options to disable compiler optimizations
#           and inlining. Using these build options allows you to subsequently
#           use source debugging tools like delve.
all: bin/buildah bin/imgtype bin/copy bin/tutorial docs

# Update nix/nixpkgs.json its latest stable commit
.PHONY: nixpkgs
nixpkgs:
	@nix run \
		-f channel:nixos-20.09 nix-prefetch-git \
		-c nix-prefetch-git \
		--no-deepClone \
		https://github.com/nixos/nixpkgs refs/heads/nixos-20.09 > nix/nixpkgs.json

# Build statically linked binary
.PHONY: static
static:
	@nix build -f nix/
	mkdir -p ./bin
	cp -rfp ./result/bin/* ./bin/

bin/buildah: $(SOURCES) cmd/buildah/*.go
	$(GO_BUILD) $(BUILDAH_LDFLAGS) $(GO_GCFLAGS) "$(GOGCFLAGS)" -o $@ $(BUILDFLAGS) ./cmd/buildah

.PHONY: buildah
buildah: bin/buildah

# TODO: remove `grep -v loong64` from `ALL_CROSS_TARGETS` once go.etcd.io/bbolt 1.3.7 is out.
ALL_CROSS_TARGETS := $(addprefix bin/buildah.,$(subst /,.,$(shell $(GO) tool dist list | grep -v loong64)))
LINUX_CROSS_TARGETS := $(filter bin/buildah.linux.%,$(ALL_CROSS_TARGETS))
DARWIN_CROSS_TARGETS := $(filter bin/buildah.darwin.%,$(ALL_CROSS_TARGETS))
WINDOWS_CROSS_TARGETS := $(addsuffix .exe,$(filter bin/buildah.windows.%,$(ALL_CROSS_TARGETS)))
FREEBSD_CROSS_TARGETS := $(filter bin/buildah.freebsd.%,$(ALL_CROSS_TARGETS))
.PHONY: cross
cross: $(LINUX_CROSS_TARGETS) $(DARWIN_CROSS_TARGETS) $(WINDOWS_CROSS_TARGETS) $(FREEBSD_CROSS_TARGETS)

bin/buildah.%:
	mkdir -p ./bin
	GOOS=$(word 2,$(subst ., ,$@)) GOARCH=$(word 3,$(subst ., ,$@)) $(GO_BUILD) $(BUILDAH_LDFLAGS) -o $@ -tags "containers_image_openpgp" ./cmd/buildah

bin/imgtype: $(SOURCES) tests/imgtype/imgtype.go
	$(GO_BUILD) $(BUILDAH_LDFLAGS) -o $@ $(BUILDFLAGS) ./tests/imgtype/imgtype.go

bin/copy: $(SOURCES) tests/copy/copy.go
	$(GO_BUILD) $(BUILDAH_LDFLAGS) -o $@ $(BUILDFLAGS) ./tests/copy/copy.go

bin/tutorial: $(SOURCES) tests/tutorial/tutorial.go
	$(GO_BUILD) $(BUILDAH_LDFLAGS) -o $@ $(BUILDFLAGS) ./tests/tutorial/tutorial.go

.PHONY: clean
clean:
	$(RM) -r bin tests/testreport/testreport
	$(MAKE) -C docs clean

.PHONY: docs
docs: install.tools ## build the docs on the host
	$(MAKE) -C docs

# For vendoring to work right, the checkout directory must be such that our top
# level is at $GOPATH/src/github.com/containers/buildah.
.PHONY: gopath
gopath:
	test $(shell pwd) = $(shell cd ../../../../src/github.com/containers/buildah ; pwd)

codespell:
	codespell -S Makefile,buildah.spec.rpkg,AUTHORS,bin,vendor,.git,go.mod,go.sum,CHANGELOG.md,changelog.txt,seccomp.json,.cirrus.yml,"*.xz,*.gz,*.tar,*.tgz,*ico,*.png,*.1,*.5,*.orig,*.rej" -L uint,iff,od,erro -w

.PHONY: validate
validate: install.tools
	./tests/validate/whitespace.sh
	./hack/xref-helpmsgs-manpages
	./tests/validate/pr-should-include-tests

.PHONY: install.tools
install.tools:
	make -C tests/tools

.PHONY: runc
runc: gopath
	rm -rf ../../opencontainers/runc
	git clone https://github.com/opencontainers/runc ../../opencontainers/runc
	cd ../../opencontainers/runc && git checkout $(RUNC_COMMIT) && $(GO) build -tags "$(STORAGETAGS) $(SECURITYTAGS)"
	ln -sf ../../opencontainers/runc/runc

.PHONY: install.libseccomp.sudo
install.libseccomp.sudo: gopath
	rm -rf ../../seccomp/libseccomp
	git clone https://github.com/seccomp/libseccomp ../../seccomp/libseccomp
	cd ../../seccomp/libseccomp && git checkout $(LIBSECCOMP_COMMIT) && ./autogen.sh && ./configure --prefix=/usr && make all && sudo make install

.PHONY: install.cni.sudo
install.cni.sudo: gopath
	rm -rf ../../containernetworking/plugins
	git clone https://github.com/containernetworking/plugins ../../containernetworking/plugins
	cd ../../containernetworking/plugins && ./build_linux.sh && sudo install -D -v -m755 -t /opt/cni/bin/ bin/*

.PHONY: install
install:
	install -D -m0755 bin/buildah $(DESTDIR)/$(BINDIR)/buildah
	$(MAKE) -C docs install

.PHONY: uninstall
uninstall:
	rm -f $(DESTDIR)/$(BINDIR)/buildah
	rm -f $(PREFIX)/share/man/man1/buildah*.1
	rm -f $(DESTDIR)/$(BASHINSTALLDIR)/buildah

.PHONY: install.completions
install.completions:
	install -m 644 -D contrib/completions/bash/buildah $(DESTDIR)/$(BASHINSTALLDIR)/buildah

.PHONY: install.runc
install.runc:
	install -m 755 ../../opencontainers/runc/runc $(DESTDIR)/$(BINDIR)/

.PHONY: test-conformance
test-conformance:
	$(GO_TEST) -v -tags "$(STORAGETAGS) $(SECURITYTAGS)" -cover -timeout 20m ./tests/conformance

.PHONY: test-integration
test-integration: install.tools
	./tests/tools/build/ginkgo $(BUILDFLAGS) -v tests/e2e/.
	cd tests; ./test_runner.sh

tests/testreport/testreport: tests/testreport/testreport.go
	$(GO_BUILD) $(GO_LDFLAGS) "-linkmode external -extldflags -static" -tags "$(STORAGETAGS) $(SECURITYTAGS)" -o tests/testreport/testreport ./tests/testreport/testreport.go

.PHONY: test-unit
test-unit: tests/testreport/testreport
	$(GO_TEST) -v -tags "$(STORAGETAGS) $(SECURITYTAGS)" -cover $(RACEFLAGS) $(shell $(GO) list ./... | grep -v vendor | grep -v tests | grep -v cmd) -timeout 45m
	tmp=$(shell mktemp -d) ; \
	mkdir -p $$tmp/root $$tmp/runroot; \
	$(GO_TEST) -v -tags "$(STORAGETAGS) $(SECURITYTAGS)" -cover $(RACEFLAGS) ./cmd/buildah -args --root $$tmp/root --runroot $$tmp/runroot --storage-driver vfs --signature-policy $(shell pwd)/tests/policy.json --registries-conf $(shell pwd)/tests/registries.conf

vendor-in-container:
	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src docker.io/library/golang:1.17 make vendor

.PHONY: vendor
vendor:
	GO111MODULE=on $(GO) mod tidy -compat=1.17
	GO111MODULE=on $(GO) mod vendor
	GO111MODULE=on $(GO) mod verify

.PHONY: lint
lint: install.tools
	./tests/tools/build/golangci-lint run $(LINTFLAGS)

# CAUTION: This is not a replacement for RPMs provided by your distro.
# Only intended to build and test the latest unreleased changes.
.PHONY: rpm
rpm:
	rpkg local

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
     golang-github-containers-common-dev (>> 0.50),
     golang-github-containers-image-dev (>= 5.23),
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.43),
+    golang-github-containers-storage-dev (>= 1.43.0+ds1-8),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),
@@ -46,7 +46,7 @@
     libostree-dev,
     libseccomp-dev,
     libselinux1-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/containers/buildah
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah.git
@@ -91,7 +91,7 @@
     golang-github-containers-common-dev (>> 0.50),
     golang-github-containers-image-dev (>= 5.23),
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.43),
+    golang-github-containers-storage-dev (>= 1.43.0+ds1-8),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	make -C docs install PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp
 
 override_dh_auto_test:
-	DH_GOLANG_EXCLUDES="cmd/buildah pkg/cli pkg/completion copier util conformance e2e" dh_auto_test
+	DH_GOLANG_EXCLUDES="chroot cmd/buildah pkg/cli pkg/completion copier util conformance e2e" dh_auto_test
 
 %:
 	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build

=== debian/watch ===
# https://salsa.debian.org/snippets/95
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
mode=git,\
repack,compression=xz,repacksuffix=+dfsg1,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/containers/buildah.git \
  refs/tags/v?(\d[\d\.]+)

## golang-github-containers-buildah 1.29.0+ds1

=== debian/changelog ===
golang-github-containers-buildah (1.29.0+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 31 Jan 2023 19:03:50 -0500

golang-github-containers-buildah (1.28.2+ds1-2) experimental; urgency=medium

  * Build against containers/storage >> 1.44

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 15 Jan 2023 14:49:29 -0500

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
     golang-github-containers-common-dev (>> 0.50),
     golang-github-containers-image-dev (>= 5.23),
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.43.0+ds1-8),
+    golang-github-containers-storage-dev (>= 1.44),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),
@@ -91,7 +91,7 @@
     golang-github-containers-common-dev (>> 0.50),
     golang-github-containers-image-dev (>= 5.23),
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.43.0+ds1-8),
+    golang-github-containers-storage-dev (>= 1.44),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),

## golang-github-containers-buildah 1.31.2+ds1

=== debian/changelog ===
golang-github-containers-buildah (1.31.2+ds1-3) unstable; urgency=medium

  * Source-only reupload

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 20 Sep 2023 12:44:07 -0400

golang-github-containers-buildah (1.31.2+ds1-2) unstable; urgency=medium

  [ Sam Morris ]
  * Build with libsubid (Closes: 1033673)

  [ Reinhard Tartler ]
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 20 Sep 2023 12:37:22 -0400

golang-github-containers-buildah (1.31.2+ds1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: tighten dependencies on containers/{storage,image,common}

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Sep 2023 09:55:06 -0400

golang-github-containers-buildah (1.30.0+ds1-3) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 09 Sep 2023 18:05:45 -0400

golang-github-containers-buildah (1.30.0+ds1-2) experimental; urgency=medium

  * Tighten dependencies on containers/image and openshift/imagebuilder

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 02 Sep 2023 21:08:59 -0400

golang-github-containers-buildah (1.30.0+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 29 Jul 2023 17:54:15 -0400

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                golang-go,
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
-    golang-github-containers-common-dev (>> 0.50),
-    golang-github-containers-image-dev (>= 5.23),
+    golang-github-containers-common-dev (>> 0.55),
+    golang-github-containers-image-dev (>= 5.26),
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.44),
+    golang-github-containers-storage-dev (>= 1.48),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),
@@ -30,7 +30,7 @@
     golang-github-opencontainers-runtime-tools-dev,
     golang-github-opencontainers-selinux-dev,
     golang-github-opencontainers-specs-dev,
-    golang-github-openshift-imagebuilder-dev (>= 1.2.3),
+    golang-github-openshift-imagebuilder-dev (>= 1.2.5),
     golang-github-pkg-errors-dev,
     golang-github-seccomp-libseccomp-golang-dev,
     golang-github-sirupsen-logrus-dev,
@@ -46,6 +46,7 @@
     libostree-dev,
     libseccomp-dev,
     libselinux1-dev,
+    libsubid-dev,
 Standards-Version: 4.6.0.1
 Homepage: https://github.com/containers/buildah
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah
@@ -88,10 +89,10 @@
 Depends: ${misc:Depends},
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
-    golang-github-containers-common-dev (>> 0.50),
-    golang-github-containers-image-dev (>= 5.23),
+    golang-github-containers-common-dev (>> 0.55),
+    golang-github-containers-image-dev (>= 5.26),
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.44),
+    golang-github-containers-storage-dev (>= 1.48),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),
@@ -107,7 +108,7 @@
     golang-github-opencontainers-runtime-tools-dev,
     golang-github-opencontainers-selinux-dev,
     golang-github-opencontainers-specs-dev,
-    golang-github-openshift-imagebuilder-dev (>= 1.2.1),
+    golang-github-openshift-imagebuilder-dev (>= 1.2.5),
     golang-github-pkg-errors-dev,
     golang-github-seccomp-libseccomp-golang-dev,
     golang-github-sirupsen-logrus-dev,

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 endif
 
 override_dh_auto_build: $(MANPAGES) $(MANPAGES5)
-	dh_auto_build -- -tags "seccomp selinux apparmor"
+	dh_auto_build -- -tags "seccomp selinux apparmor libsubid"
 	make -C docs docs GOMD2MAN=go-md2man
 	make -C docs install PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp

## golang-github-containers-buildah 1.32.0+ds1

=== debian/changelog ===
golang-github-containers-buildah (1.32.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 27 Oct 2023 09:18:17 -0400

golang-github-containers-buildah (1.32.0+ds1-1) experimental; urgency=medium

  * New upstream version
  * install entrypoint.gz for embedding
  * tighten dependency on containers/common
  * root-testfail-ignore.patch: fix FTBFS

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 23 Sep 2023 16:39:30 -0400

## golang-github-containers-buildah 1.32.2+ds1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 export GOPROXY=https://proxy.golang.org
 
 APPARMORTAG := $(shell hack/apparmor_tag.sh)
-STORAGETAGS := $(shell ./btrfs_tag.sh) $(shell ./btrfs_installed_tag.sh) $(shell ./libdm_tag.sh) $(shell ./hack/libsubid_tag.sh)
+STORAGETAGS := exclude_graphdriver_devicemapper $(shell ./btrfs_tag.sh) $(shell ./btrfs_installed_tag.sh) $(shell ./hack/libsubid_tag.sh)
 SECURITYTAGS ?= seccomp $(APPARMORTAG)
 TAGS ?= $(SECURITYTAGS) $(STORAGETAGS) $(shell ./hack/systemd_tag.sh)
 BUILDTAGS += $(TAGS)
@@ -27,7 +27,7 @@
 COMMIT_NO ?= $(shell git rev-parse HEAD 2> /dev/null || true)
 GIT_COMMIT ?= $(if $(shell git status --porcelain --untracked-files=no),${COMMIT_NO}-dirty,${COMMIT_NO})
 SOURCE_DATE_EPOCH ?= $(if $(shell date +%s),$(shell date +%s),$(error "date failed"))
-STATIC_STORAGETAGS = "containers_image_openpgp exclude_graphdriver_devicemapper $(STORAGE_TAGS)"
+STATIC_STORAGETAGS = "containers_image_openpgp $(STORAGE_TAGS)"
 
 # we get GNU make 3.x in MacOS build envs, which wants # to be escaped in
 # strings, while the 4.x we have on Linux doesn't. this is the documented
@@ -39,7 +39,7 @@
 
 EXTRA_LDFLAGS ?=
 BUILDAH_LDFLAGS := $(GO_LDFLAGS) '-X main.GitCommit=$(GIT_COMMIT) -X main.buildInfo=$(SOURCE_DATE_EPOCH) -X main.cniVersion=$(CNI_COMMIT) $(EXTRA_LDFLAGS)'
-SOURCES=*.go imagebuildah/*.go bind/*.go chroot/*.go copier/*.go define/*.go docker/*.go internal/parse/*.go internal/source/*.go internal/util/*.go manifests/*.go pkg/chrootuser/*.go pkg/cli/*.go pkg/completion/*.go pkg/formats/*.go pkg/overlay/*.go pkg/parse/*.go pkg/rusage/*.go pkg/sshagent/*.go pkg/umask/*.go pkg/util/*.go util/*.go
+SOURCES=*.go imagebuildah/*.go bind/*.go chroot/*.go copier/*.go define/*.go docker/*.go internal/mkcw/*.go internal/mkcw/types/*.go internal/parse/*.go internal/source/*.go internal/util/*.go manifests/*.go pkg/chrootuser/*.go pkg/cli/*.go pkg/completion/*.go pkg/formats/*.go pkg/overlay/*.go pkg/parse/*.go pkg/rusage/*.go pkg/sshagent/*.go pkg/umask/*.go pkg/util/*.go util/*.go
 
 LINTFLAGS ?=
 
@@ -69,14 +69,26 @@
 	mkdir -p ./bin
 	cp -rfp ./result/bin/* ./bin/
 
-bin/buildah: $(SOURCES) cmd/buildah/*.go
+bin/buildah: $(SOURCES) cmd/buildah/*.go internal/mkcw/embed/entrypoint.gz
 	$(GO_BUILD) $(BUILDAH_LDFLAGS) $(GO_GCFLAGS) "$(GOGCFLAGS)" -o $@ $(BUILDFLAGS) ./cmd/buildah
+
+ifneq ($(shell as --version | grep x86_64),)
+internal/mkcw/embed/entrypoint: internal/mkcw/embed/entrypoint.s
+	$(AS) -o $(patsubst %.s,%.o,$^) $^
+	$(LD) -o $@ $(patsubst %.s,%.o,$^)
+	strip $@
+else
+.PHONY: internal/mkcw/embed/entrypoint
+endif
+
+internal/mkcw/embed/entrypoint.gz: internal/mkcw/embed/entrypoint
+	$(RM) $@
+	gzip -k $^
 
 .PHONY: buildah
 buildah: bin/buildah
 
-# TODO: remove `grep -v loong64` from `ALL_CROSS_TARGETS` once go.etcd.io/bbolt 1.3.7 is out.
-ALL_CROSS_TARGETS := $(addprefix bin/buildah.,$(subst /,.,$(shell $(GO) tool dist list | grep -v loong64)))
+ALL_CROSS_TARGETS := $(addprefix bin/buildah.,$(subst /,.,$(shell $(GO) tool dist list)))
 LINUX_CROSS_TARGETS := $(filter bin/buildah.linux.%,$(ALL_CROSS_TARGETS))
 DARWIN_CROSS_TARGETS := $(filter bin/buildah.darwin.%,$(ALL_CROSS_TARGETS))
 WINDOWS_CROSS_TARGETS := $(addsuffix .exe,$(filter bin/buildah.windows.%,$(ALL_CROSS_TARGETS)))
@@ -113,7 +125,7 @@
 	test $(shell pwd) = $(shell cd ../../../../src/github.com/containers/buildah ; pwd)
 
 codespell:
-	codespell -S Makefile,buildah.spec.rpkg,AUTHORS,bin,vendor,.git,go.mod,go.sum,CHANGELOG.md,changelog.txt,seccomp.json,.cirrus.yml,"*.xz,*.gz,*.tar,*.tgz,*ico,*.png,*.1,*.5,*.orig,*.rej" -L uint,iff,od,erro -w
+	codespell -S Makefile,buildah.spec.rpkg,AUTHORS,bin,vendor,.git,go.mod,go.sum,CHANGELOG.md,changelog.txt,seccomp.json,.cirrus.yml,"*.xz,*.gz,*.tar,*.tgz,*ico,*.png,*.1,*.5,*.orig,*.rej" -L passt,bu,uint,iff,od,erro -w
 
 .PHONY: validate
 validate: install.tools
@@ -123,7 +135,7 @@
 
 .PHONY: install.tools
 install.tools:
-	make -C tests/tools
+	$(MAKE) -C tests/tools
 
 .PHONY: runc
 runc: gopath
@@ -146,7 +158,8 @@
 
 .PHONY: install
 install:
-	install -D -m0755 bin/buildah $(DESTDIR)/$(BINDIR)/buildah
+	install -d -m 755 $(DESTDIR)/$(BINDIR)
+	install -m 755 bin/buildah $(DESTDIR)/$(BINDIR)/buildah
 	$(MAKE) -C docs install
 
 .PHONY: uninstall
@@ -157,7 +170,8 @@
 
 .PHONY: install.completions
 install.completions:
-	install -m 644 -D contrib/completions/bash/buildah $(DESTDIR)/$(BASHINSTALLDIR)/buildah
+	install -m 755 -d $(DESTDIR)/$(BASHINSTALLDIR)
+	install -m 644 contrib/completions/bash/buildah $(DESTDIR)/$(BASHINSTALLDIR)/buildah
 
 .PHONY: install.runc
 install.runc:
@@ -165,7 +179,7 @@
 
 .PHONY: test-conformance
 test-conformance:
-	$(GO_TEST) -v -tags "$(STORAGETAGS) $(SECURITYTAGS)" -cover -timeout 20m ./tests/conformance
+	$(GO_TEST) -v -tags "$(STORAGETAGS) $(SECURITYTAGS)" -cover -timeout 60m ./tests/conformance
 
 .PHONY: test-integration
 test-integration: install.tools
@@ -177,17 +191,18 @@
 
 .PHONY: test-unit
 test-unit: tests/testreport/testreport
-	$(GO_TEST) -v -tags "$(STORAGETAGS) $(SECURITYTAGS)" -cover $(RACEFLAGS) $(shell $(GO) list ./... | grep -v vendor | grep -v tests | grep -v cmd) -timeout 45m
+	$(GO_TEST) -v -tags "$(STORAGETAGS) $(SECURITYTAGS)" -cover $(RACEFLAGS) $(shell $(GO) list ./... | grep -v vendor | grep -v tests | grep -v cmd | grep -v chroot | grep -v copier) -timeout 45m
+	$(GO_TEST) -v -tags "$(STORAGETAGS) $(SECURITYTAGS)"        $(RACEFLAGS) ./chroot ./copier -timeout 45m
 	tmp=$(shell mktemp -d) ; \
 	mkdir -p $$tmp/root $$tmp/runroot; \
 	$(GO_TEST) -v -tags "$(STORAGETAGS) $(SECURITYTAGS)" -cover $(RACEFLAGS) ./cmd/buildah -args --root $$tmp/root --runroot $$tmp/runroot --storage-driver vfs --signature-policy $(shell pwd)/tests/policy.json --registries-conf $(shell pwd)/tests/registries.conf
 
 vendor-in-container:
-	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src docker.io/library/golang:1.17 make vendor
+	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src docker.io/library/golang:1.18 make vendor
 
 .PHONY: vendor
 vendor:
-	GO111MODULE=on $(GO) mod tidy -compat=1.17
+	GO111MODULE=on $(GO) mod tidy
 	GO111MODULE=on $(GO) mod vendor
 	GO111MODULE=on $(GO) mod verify

=== debian/changelog ===
golang-github-containers-buildah (1.32.2+ds1-1) unstable; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 12 Nov 2023 16:33:57 -0500

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
                golang-go,
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
-    golang-github-containers-common-dev (>> 0.55),
+    golang-github-containers-common-dev (>> 0.56),
     golang-github-containers-image-dev (>= 5.26),
+    golang-github-containers-luksy-dev,
     golang-github-containers-ocicrypt-dev,
     golang-github-containers-storage-dev (>= 1.48),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
@@ -89,8 +90,9 @@
 Depends: ${misc:Depends},
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
-    golang-github-containers-common-dev (>> 0.55),
+    golang-github-containers-common-dev (>> 0.56),
     golang-github-containers-image-dev (>= 5.26),
+    golang-github-containers-luksy-dev,
     golang-github-containers-ocicrypt-dev,
     golang-github-containers-storage-dev (>= 1.48),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),

## golang-github-containers-buildah 1.33.7+ds1

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 EXTRA_LDFLAGS ?=
 BUILDAH_LDFLAGS := $(GO_LDFLAGS) '-X main.GitCommit=$(GIT_COMMIT) -X main.buildInfo=$(SOURCE_DATE_EPOCH) -X main.cniVersion=$(CNI_COMMIT) $(EXTRA_LDFLAGS)'
-SOURCES=*.go imagebuildah/*.go bind/*.go chroot/*.go copier/*.go define/*.go docker/*.go internal/mkcw/*.go internal/mkcw/types/*.go internal/parse/*.go internal/source/*.go internal/util/*.go manifests/*.go pkg/chrootuser/*.go pkg/cli/*.go pkg/completion/*.go pkg/formats/*.go pkg/overlay/*.go pkg/parse/*.go pkg/rusage/*.go pkg/sshagent/*.go pkg/umask/*.go pkg/util/*.go util/*.go
+SOURCES=*.go imagebuildah/*.go bind/*.go chroot/*.go copier/*.go define/*.go docker/*.go internal/config/*.go internal/mkcw/*.go internal/mkcw/types/*.go internal/parse/*.go internal/source/*.go internal/util/*.go manifests/*.go pkg/chrootuser/*.go pkg/cli/*.go pkg/completion/*.go pkg/formats/*.go pkg/overlay/*.go pkg/parse/*.go pkg/rusage/*.go pkg/sshagent/*.go pkg/umask/*.go pkg/util/*.go util/*.go
 
 LINTFLAGS ?=
 
@@ -192,13 +192,13 @@
 .PHONY: test-unit
 test-unit: tests/testreport/testreport
 	$(GO_TEST) -v -tags "$(STORAGETAGS) $(SECURITYTAGS)" -cover $(RACEFLAGS) $(shell $(GO) list ./... | grep -v vendor | grep -v tests | grep -v cmd | grep -v chroot | grep -v copier) -timeout 45m
-	$(GO_TEST) -v -tags "$(STORAGETAGS) $(SECURITYTAGS)"        $(RACEFLAGS) ./chroot ./copier -timeout 45m
+	$(GO_TEST) -v -tags "$(STORAGETAGS) $(SECURITYTAGS)"        $(RACEFLAGS) ./chroot ./copier -timeout 60m
 	tmp=$(shell mktemp -d) ; \
 	mkdir -p $$tmp/root $$tmp/runroot; \
 	$(GO_TEST) -v -tags "$(STORAGETAGS) $(SECURITYTAGS)" -cover $(RACEFLAGS) ./cmd/buildah -args --root $$tmp/root --runroot $$tmp/runroot --storage-driver vfs --signature-policy $(shell pwd)/tests/policy.json --registries-conf $(shell pwd)/tests/registries.conf
 
 vendor-in-container:
-	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src docker.io/library/golang:1.18 make vendor
+	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src docker.io/library/golang:1.20 make vendor
 
 .PHONY: vendor
 vendor:

=== debian/changelog ===
golang-github-containers-buildah (1.33.7+ds1-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 17 Jul 2025 15:17:14 +1000

golang-github-containers-buildah (1.33.7+ds1-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 24 Oct 2024 12:18:30 +1000

golang-github-containers-buildah (1.33.7+ds1-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 12:14:23 +0530

golang-github-containers-buildah (1.33.7+ds1-1) unstable; urgency=medium

  * New upstream release
    Fixes: CVE-2024-1753 container escape fix, Closes: #1067800

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 27 Mar 2024 07:34:07 -0400

golang-github-containers-buildah (1.33.5+ds1-4) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 07 Feb 2024 05:49:12 -0500

golang-github-containers-buildah (1.33.5+ds1-3) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 06 Feb 2024 08:03:55 -0500

golang-github-containers-buildah (1.33.3+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 25 Jan 2024 06:44:38 -0500

golang-github-containers-buildah (1.33.3+ds1-1) experimental; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 23 Jan 2024 20:24:22 -0500

golang-github-containers-buildah (1.33.1+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Jan 2024 17:24:10 -0500

golang-github-containers-buildah (1.33.1+ds1-1) experimental; urgency=medium

  * New upstream release
  * Revert heredoc and --checksum support in Dockerfiles to workaround ancient
    docker.io package in Debian, cf #1051202

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 24 Nov 2023 12:43:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-containers-buildah
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>,
 Build-Conflicts: golang-github-dnephin-cobra-dev
@@ -10,11 +11,11 @@
                golang-go,
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
-    golang-github-containers-common-dev (>> 0.56),
-    golang-github-containers-image-dev (>= 5.26),
+    golang-github-containers-common-dev (>= 0.57),
+    golang-github-containers-image-dev (>= 5.29),
     golang-github-containers-luksy-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.48),
+    golang-github-containers-storage-dev (>= 1.51),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),
@@ -59,7 +60,7 @@
 Architecture: any
 Built-Using: ${misc:Built-Using}
 Depends: uidmap,
-         golang-github-containers-common (>> 0.49.1),
+         golang-github-containers-common (>> 0.57),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: fuse-overlayfs (<< 0.7.1)
@@ -91,10 +92,10 @@
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
     golang-github-containers-common-dev (>> 0.56),
-    golang-github-containers-image-dev (>= 5.26),
+    golang-github-containers-image-dev (>= 5.29),
     golang-github-containers-luksy-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.48),
+    golang-github-containers-storage-dev (>= 1.51),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # the accompanying test scripts
 export DH_GOLANG_EXCLUDES := tests/
 export DH_GOLANG_EXCLUDES_ALL := 1
+export DH_GOLANG_INSTALL_EXTRA := internal/mkcw/embed/entrypoint.gz
 
 # remove this non-sense after ubuntu's docker.io ships the vendored
 # libraries in the correct folders. This is to allow auto-syncing to ubuntu
